List Pending Tier Approvals

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

List Pending Tier Approvals

Retrieves the reviewer's queue: all tiers in PENDING_APPROVAL status for a program. Review each tier with Approve or Reject Tier.

Example request

curl -X GET "https://eu.intouch.capillarytech.com/v3/tiers/approvals?programId=973" \
  -H "Authorization: Basic <base64-encoded-credentials>"

Prerequisites

  • Authentication: Basic auth or OAuth token with reviewer permissions for loyalty program management.

Resource information

Pagination supportNo
Batch supportNo

Query parameters

FieldTypeRequiredDescription
programIdintegerRequiredLoyalty program ID to list pending approvals for.

Example response

{
  "data": [
    {
      "objectId": "6a2121936497e74ec3517ad8",
      "tierUniqueId": "ut-973-009",
      "orgId": 100737,
      "programId": 973,
      "status": "PENDING_APPROVAL",
      "parentId": null,
      "version": 1,
      "slabId": null,
      "name": "Platinum",
      "description": "Premium tier for top spenders",
      "color": "#E5E4E2",
      "serialNumber": 9,
      "eligibility": {
        "kpiType": "CURRENT_POINTS",
        "threshold": 80000.0,
        "upgradeType": "LAZY"
      },
      "validity": {
        "periodType": "SLAB_UPGRADE",
        "periodValue": 12,
        "renewal": {
          "criteriaType": "Same as eligibility"
        },
        "unit": "NUM_MONTHS"
      },
      "downgrade": null,
      "engineConfig": null,
      "meta": {
        "createdBy": "75237721",
        "createdAt": "2026-06-04T06:56:19Z",
        "updatedBy": "75237721",
        "updatedAt": "2026-06-04T06:57:00Z"
      },
      "comments": null
    }
  ],
  "errors": null,
  "warnings": null
}

Response parameters

FieldTypeDescription
dataarrayList of tiers in PENDING_APPROVAL status for the program. Empty array when nothing is pending. See Submit Tier for Approval for the complete field reference.
.objectIdstringUnique ID of this tier record. Pass it to Approve or Reject Tier.
.tierUniqueIdstringUnique ID assigned to a tier created through this API, returned by Create Tier.
.orgIdintegerOrg ID.
.programIdintegerLoyalty program ID.
.statusenumAlways PENDING_APPROVAL in this list.
.parentIdstringID of the published tier this draft was created from. null for new tiers.
.versionintegerVersion number of the tier. Increments each time the tier is updated.
.slabIdintegerUnique ID of the published tier. null until the tier is approved and published.
.namestringTier name.
.descriptionstringTier description.
.colorstringDisplay color in hex format.
.serialNumberintegerTier position in the program's tier ladder.
.eligibilityobjectObject containing the conditions a customer must meet to enter this tier.
.validityobjectObject containing the validity and renewal configuration, as sent in Create Tier.
.metaobjectObject containing details of who created, updated, approved, or rejected the tier, and when. See Submit Tier for Approval for the field reference.
.commentsstringReviewer's note from the most recent review action. null until reviewed.
errorsarrayError list. null on success.
warningsarrayWarning list. null on success.

Error and warning codes

CodeError numberTypeDescription
400ErrorprogramId is missing or not a valid integer. HTTP 400.
Query Params
integer
required
Headers
string
string
Responses

400

programId is missing or not a valid integer

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json